package com.fp.frontend.controller.armas.parametros.util;

import java.io.Serializable;

public class ArmasExcel implements Serializable {

    private static final long serialVersionUID = 1L;

    String orden;
    String longuitud;
    String calibre;
    String clase;//material
    String tipoArmaExplosivo;// modelo: REVOLVER CARTUCHERA CARTUCHERANO CARABINA SUB-AMETRALLADORA*revisar
    String marca;
    String tipoFabricacion;
    String serie;
    String fechaRecepcion;
    String motivo;
    String descripcionProvincia;
    String descripcionCanton;
    String observaciones;
    int cont;

    public ArmasExcel() {
    }

    public ArmasExcel(String orden, String longuitud, String calibre,
            String clase, String tipoArmaExplosivo, String marca,
            String tipoFabricacion, String serie, String fechaRecepcion,
            String motivo, String descripcionProvincia, String descripcionCanton,
            String observaciones, int cont) {
        super();
        this.orden = orden;
        this.longuitud = longuitud;
        this.calibre = calibre;
        this.clase = clase;
        this.tipoArmaExplosivo = tipoArmaExplosivo;
        this.marca = marca;
        this.tipoFabricacion = tipoFabricacion;
        this.serie = serie;
        this.fechaRecepcion = fechaRecepcion;
        this.motivo = motivo;
        this.descripcionProvincia = descripcionProvincia;
        this.descripcionCanton = descripcionCanton;
        this.observaciones = observaciones;
        this.cont = cont;
    }

    public String getOrden() {
        return orden;
    }

    public void setOrden(String orden) {
        this.orden = orden;
    }

    public String getLonguitud() {
        return longuitud;
    }

    public void setLonguitud(String longuitud) {
        this.longuitud = longuitud;
    }

    public String getCalibre() {
        return calibre;
    }

    public void setCalibre(String calibre) {
        this.calibre = calibre;
    }

    public String getClase() {
        return clase;
    }

    public void setClase(String clase) {
        this.clase = clase;
    }

    public String getTipoArmaExplosivo() {
        return tipoArmaExplosivo;
    }

    public void setTipoArmaExplosivo(String tipoArmaExplosivo) {
        this.tipoArmaExplosivo = tipoArmaExplosivo;
    }

    public String getMarca() {
        return marca;
    }

    public void setMarca(String marca) {
        this.marca = marca;
    }

    public String getTipoFabricacion() {
        return tipoFabricacion;
    }

    public void setTipoFabricacion(String tipoFabricacion) {
        this.tipoFabricacion = tipoFabricacion;
    }

    public String getSerie() {
        return serie;
    }

    public void setSerie(String serie) {
        this.serie = serie;
    }

    public String getFechaRecepcion() {
        return fechaRecepcion;
    }

    public void setFechaRecepcion(String fechaRecepcion) {
        this.fechaRecepcion = fechaRecepcion;
    }

    public String getMotivo() {
        return motivo;
    }

    public void setMotivo(String motivo) {
        this.motivo = motivo;
    }

    public String getDescripcionProvincia() {
        return descripcionProvincia;
    }

    public void setDescripcionProvincia(String descripcionProvincia) {
        this.descripcionProvincia = descripcionProvincia;
    }

    public String getDescripcionCanton() {
        return descripcionCanton;
    }

    public void setDescripcionCanton(String descripcionCanton) {
        this.descripcionCanton = descripcionCanton;
    }

    public String getObservaciones() {
        return observaciones;
    }

    public void setObservaciones(String observaciones) {
        this.observaciones = observaciones;
    }

    public int getCont() {
        return cont;
    }

    public void setCont(int cont) {
        this.cont = cont;
    }

}
